Subject: bug#51794: 29.0.50; invalid input events generated from a mouse click for the tab bar

From: Mark Kennedy <[email-masked]>
Date: Fri, 19 Nov 2021 08:18:19 -0500

that patch fixed the problem i observed.  thanks to both of you!
/mark

On Fri, Nov 19, 2021 at 4:26 AM martin rudalics <[email-masked]> wrote:
>
>  >> bug fix #50993 is the bug.  it made make_lispy_position skip setting
>  >> posn to the tab_bar if track_mouse is non-nil.  why track_mouse is nil
>  >> for some frames and not for others i didn't look into.
>  >> thoughts/comments?
>  >
>  > Please do look into that last part, because we need to understand the
>  > situations in which this happens well enough to devise a solution.  We
>  > don't want to revert that fix because it will re-introduce a larger
>  > problem.  Specifically, why does this happen to you only under those
>  > customizations and not in "emacs -Q"?
>  >
>  > Martin, any suggestions?
>
> Maybe the attached patch helps.
>
> martin